VoiceDock Docs
ApiTool Templates

List all tool templates

Retrieve all tool templates in your organization.

GET
/tool-templates

Retrieve all tool templates in your organization.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/tool-templates"
{
  "tool_templates": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "Customer Lookup",
      "description": "Look up customer information by phone number",
      "tool_type": "function",
      "tool_config": {},
      "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "Invalid API key",
  "message": "string"
}